For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Introduction
    • URL Structure
    • API Key
    • Errors
    • Versioning
    • Pagination
    • Replication
    • Rate Limits
    • Webhooks
  • System Services
    • Companies
    • Hello World
  • Accounts
  • Ticketing
    • Getting started
    • Catalog
    • Availability
      • GETGet Capacity
      • GETSearch Time Slots
      • GETGet Schedule
    • Tickets
    • Reservations
  • Memberships
    • Catalog
    • Membership
    • Member
    • Card
    • Payment Method
    • Lifecycle
    • Miscellaneous
    • Points
  • Speedgate
  • Attraction Wallet
  • OTA Channel Manager
    • Getting started
    • Orders
  • POS
    • POS Sale
    • POS Entry
    • POS Unit
    • POS Store
    • Salesperson
    • External POS Sale
    • Global POS Entry
  • Restaurant
  • Inventory
    • Barcodes
    • Items
    • Item Ledger Entries
    • Item Categories
    • Item Variants
    • Item Translations
  • Coupon
  • Vouchers
    • Vouchers
  • Sales Documents
    • Ecommerce
  • Finance
    • General Ledger Account
    • General Ledger Entries
    • General Ledger Journal
  • Customers
    • Customers
    • GDPR
  • Retail Print
    • Print Price Labels
  • PDF Designer
LogoLogo
TicketingAvailability

Get Schedule

GET
https://api.npretail.app/:tenant/:environment/:company/ticket/schedule/search
GET
/:tenant/:environment/:company/ticket/schedule/search
$curl -G https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./ticket/schedule/search \
> -H "x-np-api-key: <NaviPartner API Key>" \
> -d admissionCode=CASTLE \
> -d startDate=2025-01-31 \
> -d endDate=2025-03-31
200ExampleSchedules
1{
2 "admissionCode": "CASTLE",
3 "capacityControl": "sales",
4 "schedules": [
5 {
6 "externalNumber": 1234,
7 "scheduleCode": "MORNING",
8 "description": "Morning schedule",
9 "startDate": "2025-01-31",
10 "startTime": "09:00",
11 "endDate": "2024-10-15",
12 "endTime": "12:00",
13 "duration": 10800,
14 "allocatable": true,
15 "allocationModel": "capacity",
16 "initialCapacity": 1000,
17 "explanation": "Ok.",
18 "arrivalFromTime": "08:30",
19 "arrivalUntilTime": "10:00"
20 },
21 {
22 "externalNumber": 1243,
23 "scheduleCode": "EVENING",
24 "description": "Evening schedule",
25 "startDate": "2024-10-15",
26 "startTime": "17:00",
27 "endDate": "2024-10-15",
28 "endTime": "20:00",
29 "duration": 10800,
30 "allocatable": true,
31 "allocationModel": "capacity",
32 "initialCapacity": 1000,
33 "explanation": "Ok.",
34 "arrivalFromTime": "16:30",
35 "arrivalUntilTime": "18:00"
36 }
37 ]
38}
Retrieve the schedule for a period for a ticket admission. Note that an ticket item may have multiple admissions with different schedules so use correct admission.
Was this page helpful?
Previous

Introduction

Next
Built with

Authentication

x-np-api-keystring
API Key authentication via header

Path parameters

tenantstringRequired

Your Entra Tenant ID. More details.

environmentstringRequired

Your Business Central Environment. More details.

companystringRequired

Your Business Central Company. More details.

Headers

x-api-versiondateOptional

Used for API versioning. More details.

Query parameters

admissionCodestringRequired
A unique code that identifies a specific admission.
startDatedateRequired
A date to use as a starting date of a period for the schedule search.
endDatedateRequired
A date to use as a ending date of a period for the schedule search.
scheduleCodestringOptional
A unique code that identifies a specific admission schedule.

Response

Returns a schedule for the specified ticket admission.
admissionCodestring
A unique code that identifies a specific admission.
capacityControlenum
Indicates the type of capacity control for the admission. None implies that there is no capacity control. Sales implies that the capacity is controlled by the number of tickets sold. Admitted implies that the capacity is controlled by the number of tickets admitted. Full implies that the capacity is admitted and departed.
Allowed values:
scheduleslist of objects